| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
PoolDbLinkManager Class Reference

Description: PoolDbLinkManager class implementation definition. More...

`#include <RootCnv/PoolClasses.h>`

Collaboration diagram for PoolDbLinkManager:
[legend]

## Public Member Functions
| PoolDbLinkManager ()=default
| Standard constructor. More...
virtual | ~PoolDbLinkManager ()
| Standard destructor. More...
std::vector< pool::Token * > & | references ()
| Access to token array. More...
std::vector< std::string > & | links ()
| Access to link array. More...

## Protected Attributes
std::vector< pool::Token * > | m_refs
| Directory links. More...
std::vector< std::string > | m_links
| Logical links. More...

## Detailed Description

Description: PoolDbLinkManager class implementation definition.

Author
  Markus Frank

Version
  1.0

Definition at line 90 of file PoolClasses.h.

## Constructor & Destructor Documentation

PoolDbLinkManager::PoolDbLinkManager | ( |  | ) |
| default

Standard constructor.

virtual PoolDbLinkManager::~PoolDbLinkManager | ( |  | ) |
| inline virtual

Standard destructor.

Definition at line 101 of file PoolClasses.h.

101 {
102 for(auto& i : m_refs ) delete i;
103 }
PoolDbLinkManager::m_refs
std::vector< pool::Token * > m_refs
Directory links.
Definition: PoolClasses.h:93
ana.i
list i
Definition: ana.py:128

## Member Function Documentation

std::vector<std::string>& PoolDbLinkManager::links | ( |  | ) |
| inline

Access to link array.

Definition at line 107 of file PoolClasses.h.

107 { return m_links; }
PoolDbLinkManager::m_links
std::vector< std::string > m_links
Logical links.
Definition: PoolClasses.h:95

std::vector<pool::Token*>& PoolDbLinkManager::references | ( |  | ) |
| inline

Access to token array.

Definition at line 105 of file PoolClasses.h.

105 { return m_refs; }
PoolDbLinkManager::m_refs
std::vector< pool::Token * > m_refs
Directory links.
Definition: PoolClasses.h:93

## Member Data Documentation

std::vector<std::string> PoolDbLinkManager::m_links
| protected

Logical links.

Definition at line 95 of file PoolClasses.h.

std::vector<pool::Token*> PoolDbLinkManager::m_refs
| protected

Directory links.

Definition at line 93 of file PoolClasses.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/PoolClasses.h